<p align="center">
<img style="align:center;" src="https://app.notesnook.com/apple-touch-icon.png" alt="Notesnook Logo" width="100" />
</p>

<h1 align="center">Notesnook</h1>
<p align="center">
<a href="https://notesnook.com/">Website</a> | <a href="https://notesnook.com/roadmap">Roadmap</a> | <a href="https://notesnook.com/downloads">Downloads</a> | <a href="https://twitter.com/@notesnook">Twitter</a> | <a href="https://discord.gg/5davZnhw3V">Discord</a>
</p>

> ## Announcement:
>
> ### We will be open sourcing Notesnook in July-August, 2022. Follow our [Twitter](https://twitter.com/@notesnook) for updates.

## Support

You can reach out to us via:

1. [Email](mailto:support@streetwriters.co)
2. [Discord](https://discord.gg/5davZnhw3V)
3. [Twitter](https://twitter.com/notesnook)
4. [Create an issue](https://github.com/streetwriters/notesnook/issues/new)

We take all queries, issues and bug reports that you might have. Feel free to ask.

## 🛣️ Roadmap

This is just the beginning; we are not stopping here. **Read what we have planned for Notesnook in [our roadmap](https://notesnook.com/roadmap).**

## ❓ FAQs

### Why another note taking app?

There are [many](https://en.wikipedia.org/wiki/Comparison_of_note-taking_software) note taking apps. Each has its own speciality but most don't care about your privacy or security. Those that do take out important features. Those that keep important features with privacy lack a good user interface. Those that provide a good user interface provide it only for 1 platform.

These are the 4 problems that Notesnook solves:

1. No compromise on security and user privacy.
2. No sacrifice on important note taking features (e.g. note locking, PDF exports, organize via notebooks, topics & tags).
3. Provides a simple, easy to use user interface.
4. Works exactly the same on all platforms.

At Notesnook we believe in `simple privacy`. Simple privacy means giving you full control of your data without making the process complicated. **You shouldn't have to perform any extra action to make your notes private.** That is where Notesnook shines.

### If you are so privacy focused, why did you not make Notesnook open source?

Notesnook is going open source in July-August 2022 (subject to change).

### Can I self host Notesnook?

Nope. Not right now. We have plans to make the sync server available for self-hosting in the future (after certain procedures) after the client apps are open sourced.

### What happens to my notes if Notesnook is abandoned?

First of all, we are not going anywhere but even if we do, we provide multiple ways to backup/export your data. **There is never going to be any kind of lock-in.** Your notes are your notes and you have full rights to them.

### How does Notesnook differ from X?

In many ways. In so many ways that you'd be baffled. It might lack some cool feature from X so do make a feature request and we can discuss it.

### I only keep grocery lists and to-do lists in my notes app; why do I even need such privacy?

Privacy is a global issue (like climate change). Sure you might not have any sensitive data _yet_ but you never know. Let's put it this way: would you prefer some stranger to be looking into your house and everything you do even though you are doing nothing wrong? No, of course not. So why would you let some Big Corp read, edit, and use _your_ notes?

The _content_ of your notes has 0 relation to privacy. It doesn't matter if you keep top secret information or grocery lists because **privacy should never be a choice**. It should be the default.

### How is Notesnook private?

Notesnook encrypts all _your data_ on _your device_ using a key that is securely derived (and stored) on _your device_. All we, or anyone, sitting on the server can read is gibberish.

### Why `$4.49/mo`? Is it worth it?

Yes. Here's why:

1. Free is not private.
2. Privacy is not free.

Anyone offering privacy for free is scamming you to sell your data. Why? Because every service out there has a business model. **There is no free in business models** because businesses need money to run. If they don't earn, they don't run.

`$4.49/mo` is worth it because:

1. It is cheaper than all other premium note taking apps (like Evernote, Standard Notes).
2. It is the minimum viable price you can spend to ensure your notes' privacy. (If you self host, the cheapest VPS will cost you around \$5).
3. Your subscription is evidence that privacy is a global issue and should be addressed. That you care.

If you still think $4.49/mo is too much, you are welcome to spend >$4.49/mo on some other privacy invasive note taking app :)

## Contribute

Although Notesnook is not open source, you can still contribute to its development in the following ways:

### Suggest a feature

Have a cool idea for Notesnook? Open a feature request. It doesn't matter how outlandish it is; we'll hear you out.

### Report a bug

Bug reports are given utmost priority. Report it and we'll fix it ASAP.

### Join our Discord server & help out in the community

You can join [our Discord server](https://discord.gg/5davZnhw3V) and help other Notesnook users. We also post announcements, host polls and ask for early feedback there.

### Help us out by giving social proof

Social proof helps other people know what they are getting. If you have tried out Notesnook and loved it, you can give social proof:

1. By tweeting about @notesnook on Twitter.
2. Posting on Facebook, Reddit or any other social media.

We take all social proofs and publish them on the website for the public to see.
